//
//  FNTreeManager.h
//  FNFoundation
//
//  Created by Alexander Rinass on 15/04/16.
//  Copyright © 2016 fournova Software GmbH. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "FNTreeManagerDelegate.h"

typedef BOOL (^FNTreeManagerUpdateHandler)(FNTreeNode *existingNode, FNTreeNode *mappedNode);

@class FNTreeNode;
@class FNTreeChangeset;
@interface FNTreeManager : NSObject
@property (nonatomic, weak) id<FNTreeManagerDelegate> delegate;
@property (nonatomic, readonly) NSArray<FNTreeNode *> *rootNodes;
@property (nonatomic) NSArray<NSSortDescriptor *> *sortDescriptors;
@property (nonatomic) NSPredicate *filterPredicate;
@property (nonatomic, copy) FNTreeManagerUpdateHandler updateHandler;
@property (nonatomic) BOOL usesIncrementalUpdates;

+ (instancetype)treeManagerWithRootNodes:(NSArray<FNTreeNode *> *)rootNodes;

- (FNTreeNode *)nodeForIdentifier:(NSString *)identifier;

- (void)updateRootNodesWithNodes:(NSArray<FNTreeNode *> *)newRootNodes;
- (void)updateParentNode:(FNTreeNode *)parentItem withChildNodes:(NSArray<FNTreeNode *> *)childItems;

@end

#import "FNTreeManager+Convenience.h"
