//
//  FNGitContributionInfo.h
//  FNGit
//
//  Created by Alexander Rinass on 20/12/2016.
//  Copyright © 2016 Fournova GmbH. All rights reserved.
//

#import <Foundation/Foundation.h>

@class FNGitActor;
@interface FNGitContributionInfo : NSObject
@property (nonatomic, nonnull, readonly) FNGitActor *author;
@property (nonatomic, readonly) NSUInteger numberOfCommits;
@property (nonatomic, nonnull, readonly) NSString *revision;
@property (nonatomic, nullable, readonly) NSArray<NSString *> *filePaths;

+ (nullable instancetype)contributionInfoWithAuthor:(nonnull FNGitActor *)author numberOfCommits:(NSUInteger)numberOfCommits revision:(nonnull NSString *)revision;
- (nullable instancetype)initWithAuthor:(nonnull FNGitActor *)author numberOfCommits:(NSUInteger)numberOfCommits revision:(nonnull NSString *)revision filePaths:(nullable NSArray<NSString *> *)filePaths;

@end

#import "FNGitContributionInfo+Loading.h"
